Bug 479640 - Do not conflict with specspo if there is not any reason
Do not conflict with specspo if there is not any reason
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Red Hat Satellite QA List
:
Depends On: 480127
Blocks: space07
  Show dependency treegraph
 
Reported: 2009-01-12 05:30 EST by Jan Pazdziora
Modified: 2009-12-07 07:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 07:02:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2009-01-12 05:30:09 EST
Description of problem:

We have two spacewalk-backend-* packages that conflict with specpo. There seems to have been some problem with specspo in the past but the details are fuzzy.

We should not conflict with specspo, and if having specspo causes us problems, we should get specspo fixed, or run our code with LANG=C, or something to that effect.

Version-Release number of selected component (if applicable):

# rpm -q spacewalk-backend-app spacewalk-backend-xp
spacewalk-backend-app-0.4.10-1.el5
spacewalk-backend-xp-0.4.10-1.el5

How reproducible:

Deterministic.

Steps to Reproduce:
1. # rpm -q --conflicts spacewalk-backend-app spacewalk-backend-xp
  
Actual results:

specspo
specspo

and Spacewalk works.

Expected results:

No conflicts (no conflicts with specspo), specspo installed, and Spacewalk works.

Additional info:

The discussion took place on mailing list: https://www.redhat.com/archives/spacewalk-devel/2009-January/msg00040.html
Comment 1 Jan Pazdziora 2009-01-12 05:42:15 EST
The Conflict was removed from .spec, in commit d0846e3510b8ca26a15cf499a5921c2326807253.
Comment 2 Miroslav Suchý 2009-01-15 04:37:58 EST
FAILQA till the issue in BZ 480127 is resolved.
Comment 3 Jesus M. Rodriguez 2009-01-15 15:19:31 EST
temporary workaround: rpm -e specspo
Comment 4 Jan Pazdziora 2009-10-05 04:08:16 EDT
We seem to have the conflict removed both from Spacewalk and Satellite packages:

[root@xen90 ~]# rpm -q spacewalk-backend-app spacewalk-backend-xp
spacewalk-backend-app-0.7.5-1.el5.noarch
spacewalk-backend-xp-0.7.5-1.el5.noarch
[root@xen90 ~]# rpm -q --conflicts spacewalk-backend-app spacewalk-backend-xp
(none)(none)[root@xen90 ~]# 

[root@sputnik-prod ~]# rpm -q spacewalk-backend-app spacewalk-backend-xp
spacewalk-backend-app-0.5.28-34.el5sat
spacewalk-backend-xp-0.5.28-34.el5sat
[root@sputnik-prod ~]# rpm -q --conflicts spacewalk-backend-app spacewalk-backend-xp
(none)(none)[root@sputnik-prod ~]# 

As such, moving to VERIFIED.
Comment 5 Miroslav Suchý 2009-12-07 07:02:40 EST
Spacewalk 0.7 released.

Note You need to log in before you can comment on or make changes to this bug.